## Name

gfperf-metadata — Gfarm measure metadata performance

## Synopsis

`gfperf-metadata` [-n, --number `number of entries`] [-t, --testdir `test directory`] [-u, --unit `output unit`]

## DESCRIPTION

This command makes sepcified number of files and directories in `test directory`. And measures performance of execution time.

The following points to measure.

create

  Measuring gfs_pio_create() or creat() performance. The output is average of execute time of this function.

readdir

  Measuring execution time from gfs_opendir_caching() and gfs_readdir() to gfs_closedir(). In posix filesystem, measuring execution time from opendir() and readdir() to closedir(). The output is the time divided by `number of entries`.

readdir+stat

  Measuring time of gfs_lstat_cached() or lstat() added to mentioned above in readdir. The output is the time divided by `number of entries`.

unlink

  Measuring gfs_unlink() or unlink() performance. The output is average of execute time of this function.

mkdir

  Measuring gfs_mkdir() or mkdir() performance. The output is average of execute time of this function.

stat

  Measuring gfs_lstat() or lstat() performance. The output is average of execute time of this function.

chmod

  Measuring gfs_chmod() or chmod() performance. The output is average of execute time of this function.

utimes

  Measuring gfs_utimes() or utimes() performance. The output is average of execute time of this function.

rename

  Measuring gfs_rename() or rename() performance. The output is average of execute time of this function.

symlink

  Measuring gfs_symlink() or symlink() performance. The output is average of execute time of this function.

readlink

  Measuring gfs_readlink() or readlink() performance. The output is average of execute time of this function.

setxattr

  Measuring gfs_setattr() or setxattr() performance. The output is average of execute time of this function.

getxattr

  Measuring gfs_getattr() or getxattr() performance. The output is average of execute time of this function.

removexattr

  Measuring gfs_removeattr() or removexattr() performance. The output is average of execute time of this function.

rmdir

  Measuring gfs_removedir() or removedir() performance. The output is average of execute time of this function.

## OPTIONS

`-n, --number` `number of entries`

  Creating number of files or directories to measure. The default is 250.

`-t, --testdir` `test directory`

  Files and directories are created in `test directory`. If gfarm url (that begins with gfarm:///) is specified, measured by gfarm functions. If file url (that begins with file:///) is specified, measured by posix functions. The default is gfarm:///tmp .

`-u, --uinit` `output unit`

  Specify ops (operations per second) or usec (micro second). The default is ops.